
<p align="left">
<img src="https://raw.githubusercontent.com/ElevenPaths/FOCA/master/doc/FOCA_White.jpg"/>
</p>

# FOCA (Fingerprinting Organizations with Collected Archives)

**FOCA  is a tool used mainly to find metadata and hidden information in the documents it scans**. These documents may be on web pages, and can be downloaded and analysed with FOCA.

It is capable of analysing a wide variety of documents, with the most common being **Microsoft Office**, **Open Office**, or **PDF** files, although it also analyses Adobe InDesign or SVG files, for instance.

These documents are searched for using three possible search engines: **Google**, **Bing**, and **DuckDuckGo**. The sum of the results from the three engines amounts to a lot of documents. It is also possible to add local files to extract the EXIF information from graphic files, and a complete analysis of the information discovered through the URL is conducted even before downloading the file.

## 🏭 Releases 

Check [here](https://github.com/ElevenPaths/FOCA/releases) our latest releases. 

## ✔️ Requisites

To run the solution locally the system will need:

* **Microsoft Windows** (64 bits). Versions 7, 8, 8.1 and 10.
* **Microsoft .NET Framework 4.7.1**.
* Microsoft **Visual C++ 2010 x64** or greater.
* An instance of **SQL Server** 2014 or greater.

#### 📝Notes

* When starting the app the system will check if there is a **SQL Server** instance available. If none is found, the system will prompt a window for introducing a connection string.  

## 📜 Licence

[GNU GENERAL PUBLIC LICENCE](https://www.gnu.org/licenses/gpl-3.0.en.html)

## 🔊 Stay tuned

Get the news about our latest doings and send us a message. We 💛 hearing from you. 

* [<img src="https://raw.githubusercontent.com/ElevenPaths/FOCA/master/doc/Twitter_Social_Icon_Circle_Color.svg" width="30" height="24"/>](https://twitter.com/Fear_the_Foca)  https://twitter.com/Fear_the_Foca


## ☕ Further reading 

* https://www.elevenpaths.com/labstools/foca/index.html
* [ES] https://0xword.com/es/libros/59-pentesting-con-foca.html
* [ES] https://es.wikipedia.org/wiki/FOCA_Tool
* [ES] https://empresas.blogthinkbig.com/como-analizar-documentos-con-foca/